using FluentValidation;
using WorkFlowCheck.Common.DTO;

namespace WorkFlowCheck.Web.Validators
{
    public class UserDTOValidator : AbstractValidator<UserDTO>
    {
        public UserDTOValidator()
        {
            RuleFor(x => x.UserName)
                .NotEmpty().WithMessage("A felhasználónév kötelező.");

            RuleFor(x => x.FirstName)
                .NotEmpty().WithMessage("A keresztnév kötelező.");

            RuleFor(x => x.LastName)
                .NotEmpty().WithMessage("A vezetéknév kötelező.");
        }
    }
}
